#### 3.5.2 Options for `get`

  Full description of options

`-aN`

  Retrieve the version corresponding to the delta sequence number N. Mainly for use by other programs in the suite.

`-b`

  Create a new branch when the resulting file is checked back in. Used with the `-e` option. If the `-e` option is not given, or if the `b` (branch) flag is not set in the SCCS file, this option has no effect; a branch is not made. If the version to be checked out for editing has a successor, a branch is created whether or not the `-b` flag is present (see Making Branches).

`-cwhen`

  Get the version that was current at the time specified by when. The format of the argument is [cc]yy[mm[dd[hh[mm[ss]]]]]. Any fields omitted (except “cc”) assume their maximum possible values so that if you specify `-c92`, you get the latest version which was available in the year 1992. It is possible to give four digits for the year as a CSSC-specific extension, but only if none of the other fields are omitted. If only two digits are used and the resulting value is less than 69, the year is assumed to be in the twenty-first century (see prs options and Year 2000 Issues).

`-D`

  Turns on debugging output, indicating what is going on as the SCCS file is read. This option may go away or have its behaviour change in the near future.

`-e`

  Indicates that the retrieved version is for editing. When checked back in the resulting file will have a new revision number. The retrieved file is writable, and keyword substitution does not take place. A p-file is created; this file contains information about what versions of the s-file are being edited, and by whom. Unless the ‘`j`’ flag is set (see Flags), `get -e` will fail if someone else already has the file locked. If the list of authorised users in the SCCS file is not empty, you must be in that list in order to use this option.

`-g`

  Do a dry-run, showing what version would be retrieved, but don’t actually get the file. This is sometimes done by scripts, just to test the exit status.

`-Gfoo`

  Name the gotten file `foo`, instead of the default name.

`-ilist`

  Include the deltas for the listed SIDs. See also `-x`.

`-k`

  Avoid doing keyword substitution (see Keyword Substitution). This is assumed when `-e` is specified. The gotten file is writable.

`-l`

  Generates a delta summary file in the current working directory. The name of the file is `l.foo` where `foo` is the name that would normally be used for the gotten file. The name of the delta summary file is not affected by the `-G` option. The delta summary file is similar in content to the output of `prt`, though it contains less information.

`-lp`

  This is obsolete; use `-L` instead.

`-L`

  Generate a delta summary as for the `-l` option, but print it on stdout instead of creating a file. If `-L` and `-p` are both specified, the delta summary is printed first.

`-m`

  Prepend to each line of the result the SID corresponding to the `delta` which introduced this line to the file.

`-n`

  Precede each line of output with the module name, before any SID added with the `-m` option.

`-p`

  Write the result to the standard output, rather than to a file.

`-rX`

  Retrieve version X, rather than the default.

`-s`

  Run silently.

`-t`

  Get the “top” delta for the indicated release. The default behaviour of `get` is to get the highest revision on the trunk. The `-t` option only modifies this behaviour in the situation where the topmost trunk revision is a branch point. In this case, the `-t` option causes the topmost revision on this branch to be retrieved. In other words, the `-t` option removes the restriction that the retrieved version should be on the trunk. This option is used by `comb` (see comb) and by the driver program `sccs` from BSD (see sccs).

`-V`

  Show version information.

`-wXXX`

  When performing keyword substitution (see Keyword Substitution), use XXX rather than ‘`%Z%%M% <TAB> %I%`’ as the substitution value for %W%.

`-xlist`

  Exclude the indicated deltas from the result. Deltas are indicated by specifying the SID at which they arrived in the file.